curl --request GET \
--url https://api.rewind.rest/v1/watching/shows \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 1,
"title": "Band of Brothers",
"year": 2001,
"tmdb_id": 4613,
"tmdb_rating": 8.5,
"content_rating": "TV-MA",
"summary": "The story of Easy Company during WWII.",
"image": {
"url": "https://cdn.rewind.rest/watching/shows/1/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "YRcKDQKadZh4d3Z4d3aHeAeAh4B3",
"dominant_color": "#2a2a2a",
"accent_color": "#c8a882"
},
"total_seasons": 1,
"total_episodes": 10,
"episodes_watched": 10
},
{
"id": 2,
"title": "Mad Men",
"year": 2007,
"tmdb_id": 1104,
"tmdb_rating": 8.2,
"content_rating": "TV-14",
"summary": null,
"image": null,
"total_seasons": 7,
"total_episodes": 92,
"episodes_watched": 89
},
{
"id": 3,
"title": "Fallout",
"year": 2024,
"tmdb_id": 106379,
"tmdb_rating": 8,
"content_rating": "TV-MA",
"summary": null,
"image": null,
"total_seasons": 1,
"total_episodes": 8,
"episodes_watched": 8
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 98,
"total_pages": 5
}
}Returns paginated list of TV shows.
curl --request GET \
--url https://api.rewind.rest/v1/watching/shows \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 1,
"title": "Band of Brothers",
"year": 2001,
"tmdb_id": 4613,
"tmdb_rating": 8.5,
"content_rating": "TV-MA",
"summary": "The story of Easy Company during WWII.",
"image": {
"url": "https://cdn.rewind.rest/watching/shows/1/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "YRcKDQKadZh4d3Z4d3aHeAeAh4B3",
"dominant_color": "#2a2a2a",
"accent_color": "#c8a882"
},
"total_seasons": 1,
"total_episodes": 10,
"episodes_watched": 10
},
{
"id": 2,
"title": "Mad Men",
"year": 2007,
"tmdb_id": 1104,
"tmdb_rating": 8.2,
"content_rating": "TV-14",
"summary": null,
"image": null,
"total_seasons": 7,
"total_episodes": 92,
"episodes_watched": 89
},
{
"id": 3,
"title": "Fallout",
"year": 2024,
"tmdb_id": 106379,
"tmdb_rating": 8,
"content_rating": "TV-MA",
"summary": null,
"image": null,
"total_seasons": 1,
"total_episodes": 8,
"episodes_watched": 8
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 98,
"total_pages": 5
}
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
x >= 11 <= x <= 100